[Résolu] Sources ?


#1

Coucou c’est le p’tit nouveau, je sais un peu collant…

Qu’est qu’il faut mettre dans les sources pour avoir les dernières versions. Car par exemple je veux installer Superkaramba, il me propose la version 0.17, alors qu’on en est à la version 0.37 ??? :arrow_right: :arrow_right: :confused:


#2

on peut piocher dans la rubrique trucs et astuces à
forum.debian-fr.org/viewtopic.php?t=1810

Bonne pioche :stuck_out_tongue:
Attention quand même au changement de version qui ne sesrai pas réllement désiré … :exclamation:


#3

si synaptic te propose la version 0.17, je te conseil d’installer celle la.
c’est la version qui correspond à ta Debian. si tu veux les dernières version des softs, tu utilise Unstable (appeler aussi SID)


#4

[quote=“Twistophe”]si synaptic te propose la version 0.17, je te conseil d’installer celle la.
c’est la version qui correspond à ta Debian. si tu veux les dernières version des softs, tu utilise Unstable (appeler aussi SID)[/quote]

Oui mais les thèmes proposés sont pour la version 0.37 et donc ne s’affiche pas !


#5

Perso, si ta machine n’est pas un serveur de production, je te conseille te passer en testing.
C’est aussi stable que une sarge mais les paquets sont plus récents.
Quant à superkaramba, tu peux toujours compiler les sources, c’est pas forcément compliqué. En plus, je me demande s’il y a vraiment compilation, je crois que c’est que du python…


#6

[quote=“fsoumil”]Perso, si ta machine n’est pas un serveur de production, je te conseille te passer en testing.
C’est aussi stable que une sarge mais les paquets sont plus récents.
Quant à superkaramba, tu peux toujours compiler les sources, c’est pas forcément compliqué. En plus, je me demande s’il y a vraiment compilation, je crois que c’est que du python…[/quote]

C’est ce que je me disais, mais je peux mettre les sources testing, en ayant installé une stable ?

Je pourrai mettre çà, non ? :

[quote]### DEBIAN TESTING [ETCH]
deb ftp.fr.debian.org/debian testing main contrib non-free
deb-src ftp.fr.debian.org/debian testing main contrib non-free

deb security.debian.org/ testing/updates main contrib non-free
deb-src security.debian.org/ testing/updates main contrib non-free [/quote]


#7

oui :stuck_out_tongue:

c’est comme cela que j’ai procédé … mais c’est pas si facile que cela … :wink:
pour se mettre à jour, udev a besoin d’un kernel >= 2.6.12 mais on tourne en 2.6.8 …!
j’ai enlevé udev, mis à jour , redémarré sous 2.6.15 et en console, avec aptitude réinstallé udev. Ou quelque chose comme ça :wink:


#8

Un tel optimisme … Que c’est beau ! :laughing:

Mais bon, c’est vrai que si ce n’est pas une machine de prod. tu peux éventuellement t’y risquer…
Mais attends-toi à devoir réparer régulièrement tes mises à jour défectueuses :open_mouth:

Installes le paquet “apt-listbugs”, ca peut aider…


#9

[quote]Installes le paquet “apt-listbugs”, ca peut aider…[/quote] Pas trouvé ?!

Mais bon pour l’instant je vais rester en Sarge, bien “sage”. J’ai quand même copié les sources pour plus tard :wink:

Merci des conseils.
Eric
P.S : je mets résolu.


#10

[quote=“marjomax”][quote]Installes le paquet “apt-listbugs”, ca peut aider…[/quote] Pas trouvé ?!

P.S : je mets résolu.[/quote]
Ah bon ???
Tapé depuis une Sarge:

burp:~# apt-cache search apt-listbugs
apt-listbugs - Lists critical bugs before each apt installation
burp:~#

#11

Une dernière question à propos des sources, faut-il désactiver les sources stable si on active celles qui sont unstable ?

:wink:


#12

Non pas besoin de les désactivers faut juste mettre les sources unstables apres les sources stables :slightly_smiling:


#13

Ben dans le doute c’est ce que j’avais fait. Du coup cela m’a fait plein de modif et des mis à jour. Et ça marche :wink:

Une version Unstable devient Stable comment, ou à quel moment ?


#14

Dans le langage courant une version instable devient stable quand elle ne plante plus :wink:
En terme de release, une install est “stable” quand toutes les versions de paquets qu’elle utilise sont tirées de la release “stable”.
En pratique, pour une machine de bureau, la tentation de mettre quelques softs un peu récent est trop forte, et on ne reste que rarement longtemps en “stable” pur jus.

Il existe des “preferences” (man apt_preferences) qui permettent de régresser d’une version testing/unstable en stable si c’est nécessaire, mais pour un usage perso, la release “testing” est amplement blindée et ne plante pas.


#15

Oui mais ce n’est pas tjrs évident comme réussite.

[quote]mais pour un usage perso, la release “testing” est amplement blindée et ne plante pas.[/quote]+1 C’est un bon compromis


#16

Je pense que je vais laisser les sources pour la stable et l’unstable et je verrais à l’usage.

Dans le langage courant une version instable devient stable quand elle ne plante plus Cà, je m’en doutais un peu :wink:


#17

En fait ce que je voulais dire (et savoir), c’est justement comment on sait que cela passe d’instalbe à stable, y-at-il un signe particulier par exemple dans Synaptic qui nous l’indique ?

Autre petite question dans Synaptic dans : Installés (pouvant être mis à jour), peut-on sans trop de crainte mettre à jour tous ce qui est proposé ? :wink:


#18

Oui, enfin les mises à jour un peu lourde, touchant le serveur graphique peuvent poser des problèmes aux débutants quand même.

Je me rappelle aussi que récemment, il y a eu une période durant laquelle k3b n’existait tout bonnement plus dans testing.

C’est stable, mais quand on met à jour, ça devient parfois compliqué.


#19

Ton sources.list, et ton fichier preferences te le disent, mais pas synaqtic. Il y a un fil dans la rubrique “Astuces” sur le sujet.

Quand tu utilises le bouton “Mettre à jour” de synaptic, il fait tout pour le faire “intelligemment”. Certains paquets disposent de versions plus récentes, mais synaptic ne les met pas dans la liste, car les dépendances sont parfois trop lourdes et peuvent générer des conflits.

En un mot, si tu ne sais pas ce que tu fais précisément, évites de ne pas suivre les “instructions” de synaptic.


#20

Je posais ces questions parcequ’hier par exemple, j’ai voulu mettre la dernière version d’Amule (unstable) qui m’était proposé. Seulement à l’installation il y a eu un problème avec un “libwxta 2.6.0” (je crois) et du coup Amule ne fonctionne pas. Et je voudrai réinstaller donc l’ancienne version que j’avais, mais elle n’est pas proposé, comment je peux faire ?

Et d’une manière générale comment revenir à une version antérieur d’un logiciel ? :blush: :confused:

Du coup j’hésite à mettre à jour d’autres paquets, comme Ooo 2, Amsn…